Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.feature.type
Interface AttributeDescriptor

All Superinterfaces:
  PropertyDescriptor, StructuralDescriptor

    public interface AttributeDescriptor

extends StructuralDescriptor

Indicating a named entry for a prescribed AttributeType.

This class carries the ComplexType specific information required for useing a contained attribute. Name, type and multiplicity are defined.

If in the future the nature of the containment relationship needs further definition you may expected additional information to be gathered here.

Method Summary
`Object` | `getDefaultValue()` The default value of this attribute, could be `null`.
`AttributeType` | `getType()` Indicates the type of this attribute
`boolean` | `isNillable()` True attribute is allowed to be null.

Methods inherited from interface StructuralDescriptor
`getMaxOccurs, getMinOccurs`

Methods inherited from interface PropertyDescriptor
`getName, getUserData, putUserData, type`

Method Detail

### isNillable

    boolean isNillable()

  True attribute is allowed to be null.

  Returns:
    true if value may be null, false if value must be present

### getType

    AttributeType getType()

  Indicates the type of this attribute

### getDefaultValue

    Object getDefaultValue()

  The default value of this attribute, could be `null`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.